How to Install FlightGear 2019.1.1 in Ubuntu 19.04/18.04

September 21, 2019 — 1 Comment

FlightGear flight simulator 2019.1 was released almost two months ago. Not it’s finally made into PPA for Ubuntu 16.04, Ubuntu 18.04, Ubuntu 19.04, Linux Mint 19.x and their derivatives.

FlightGear 2019.1 contains many exciting new features, enhancements and bug-fixes. See the changelog for details.

To install the free and open-source flight simulator, open terminal either via Ctrl+Alt+T keyboard shortcut or by searching for ‘terminal’ from application menu. When it opens, run following commands one by one.

1.) Paste following command and hit run to add the PPA repository:

sudo add-apt-repository ppa:saiarcot895/flightgear

Type user password (no asterisk feedback due to security reason) when it prompts and hit Enter to continue

2.) Then either upgrade FlightGear from an existing release via Software Updater (Update Manager):

or run command in terminal to install the software:

sudo apt update && sudo apt install flightgear

Uninstall:

To remove flightgear, either use Ubuntu Software or run command in terminal:

sudo apt remove --auto-remove flightgear

You can also remove the PPA either via the first step’s command with --remove added in the end, or by going to “Software & Updates -> Other Software” tab.

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to ubuntuhandbook1@gmail.com

One response to How to Install FlightGear 2019.1.1 in Ubuntu 19.04/18.04

  1. Hi,

    I’m getting a dependency error with the repository:

    The following packages have unmet dependencies:
    flightgear : Depends: flightgear-data-all (< 1:2018.3.2~) but 1:2019.1.1+dfsg-0ubuntu1~ppa1 is to be installed

    If I don't install flightgear-phi then I can install flightgear 2018, but not 2019

    Any thoughts?

Leave a Reply

Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> 

*